diff options
author | Benjamin Kosnik <bkoz@redhat.com> | 2010-03-12 17:35:19 +0000 |
---|---|---|
committer | Benjamin Kosnik <bkoz@gcc.gnu.org> | 2010-03-12 17:35:19 +0000 |
commit | 60f8b2e2ffeb33d3f91dad993a2f78f416065855 (patch) | |
tree | 9d964f7413caa6237a1582ad223eedadf6430202 /libstdc++-v3/scripts | |
parent | 08f9d72574b6fa29248176b25e8cd40dcf2655b5 (diff) | |
download | gcc-60f8b2e2ffeb33d3f91dad993a2f78f416065855.zip gcc-60f8b2e2ffeb33d3f91dad993a2f78f416065855.tar.gz gcc-60f8b2e2ffeb33d3f91dad993a2f78f416065855.tar.bz2 |
run_doxygen: Adjust.
2010-03-12 Benjamin Kosnik <bkoz@redhat.com>
* scripts/run_doxygen: Adjust.
* doc/doxygen/user.cfg.in: Adjust latex, xml prefs.
* doc/xml/api.xml: Update.
* doc/Makefile.am: Re-do stamp rules.
* doc/Makefile.in: Regenerate.
From-SVN: r157409
Diffstat (limited to 'libstdc++-v3/scripts')
-rw-r--r-- | libstdc++-v3/scripts/run_doxygen | 90 |
1 files changed, 35 insertions, 55 deletions
diff --git a/libstdc++-v3/scripts/run_doxygen b/libstdc++-v3/scripts/run_doxygen index 39a2e95..77e7061 100644 --- a/libstdc++-v3/scripts/run_doxygen +++ b/libstdc++-v3/scripts/run_doxygen @@ -162,69 +162,48 @@ esac mkdir -p $outdir chmod u+w $outdir -if $do_xml; then - mkdir -p $outdir/xml -fi - +# Run it ( - set -e - cd $builddir - sed -e "s=@outdir@=${outdir}=g" \ - -e "s=@srcdir@=${srcdir}=g" \ - -e "s=@shortname@=${shortname}=g" \ - -e "s=@builddir@=${builddir}=g" \ - -e "s=@host_alias@=${host_alias}=g" \ - -e "s=@enabled_sections@=${enabled_sections}=" \ - -e "s=@do_html@=${do_html}=" \ - -e "s=@do_latex@=${do_latex}=" \ - -e "s=@do_man@=${do_man}=" \ - -e "s=@do_xml@=${do_xml}=" \ - -e "s=@generate_tagfile@=${generate_tagfile}=" \ - ${srcdir}/doc/doxygen/user.cfg.in > ${outdir}/${mode}.cfg - echo :: NOTE that this may take some time... - echo doxygen ${outdir}/${mode}.cfg - doxygen ${outdir}/${mode}.cfg - echo :: Finished, exit code was $? + set -e + cd $builddir + sed -e "s=@outdir@=${outdir}=g" \ + -e "s=@srcdir@=${srcdir}=g" \ + -e "s=@shortname@=${shortname}=g" \ + -e "s=@builddir@=${builddir}=g" \ + -e "s=@host_alias@=${host_alias}=g" \ + -e "s=@enabled_sections@=${enabled_sections}=" \ + -e "s=@do_html@=${do_html}=" \ + -e "s=@do_latex@=${do_latex}=" \ + -e "s=@do_man@=${do_man}=" \ + -e "s=@do_xml@=${do_xml}=" \ + -e "s=@generate_tagfile@=${generate_tagfile}=" \ + ${srcdir}/doc/doxygen/user.cfg.in > ${outdir}/${mode}.cfg + echo :: NOTE that this may take some time... + echo doxygen ${outdir}/${mode}.cfg + doxygen ${outdir}/${mode}.cfg ) ret=$? test $ret -ne 0 && exit $ret -if $do_latex; then - mkdir -p $outdir/latex +if $do_xml; then + echo :: + echo :: XML pages begin with + echo :: ${outdir}/xml/index.xml fi -( - set -e - cd $builddir - sed -e "s=@outdir@=${outdir}=g" \ - -e "s=@srcdir@=${srcdir}=g" \ - -e "s=@shortname@=${shortname}=g" \ - -e "s=@builddir@=${builddir}=g" \ - -e "s=@host_alias@=${host_alias}=g" \ - -e "s=@enabled_sections@=${enabled_sections}=" \ - -e "s=@do_html@=${do_html}=" \ - -e "s=@do_latex@=${do_latex}=" \ - -e "s=@do_man@=${do_man}=" \ - -e "s=@do_xml@=${do_xml}=" \ - -e "s=@generate_tagfile@=${generate_tagfile}=" \ - ${srcdir}/doc/doxygen/user.cfg.in > ${outdir}/${mode}.cfg - echo :: NOTE that this may take some time... - echo doxygen ${outdir}/${mode}.cfg - doxygen ${outdir}/${mode}.cfg - - # Also drop in the header file and style sheet - cd ${outdir}/${mode} - doxygen -w latex header.tex doxygen.sty - echo :: Finished, exit code was $? - echo :: - echo :: LaTeX pages begin with - echo :: ${outdir}/latex/refman.tex -) -ret=$? -test $ret -ne 0 && exit $ret - +if $do_latex; then + cd ${outdir}/${mode} + + # Also drop in the header file and style sheet + doxygen -w latex header.tex doxygen.sty + + echo :: + echo :: LaTeX pages begin with + echo :: ${outdir}/latex/refman.tex +fi + if $do_html; then - cd ${outdir}/html + cd ${outdir}/${mode} #doxytag -t libstdc++.tag . > /dev/null 2>&1 sed -e '/<path>/d' libstdc++.tag > TEMP @@ -242,6 +221,7 @@ if $do_html; then mv annstrip.html annotated.html cp ${srcdir}/doc/doxygen/tables.html tables.html + echo :: echo :: HTML pages begin with echo :: ${outdir}/html/index.html |